Bug 1907639 - pass dual-stack node IPs to kubelet in dual-stack clusters
Summary: pass dual-stack node IPs to kubelet in dual-stack clusters
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.7
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: ---
: 4.7.0
Assignee: Dan Winship
QA Contact: Yurii Prokulevych
URL:
Whiteboard:
Depends On: 1912701
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-14 22:11 UTC by Dan Winship
Modified: 2021-02-24 15:44 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
(dual-stack is not documented for 4.7, so there would be nowhere to document this change)
Clone Of:
Environment:
Last Closed: 2021-02-24 15:43:42 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 2277 0 None closed Bug 1907639: Pass dual-stack node IPs to kubelet in dual-stack clusters 2021-01-27 22:03:09 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:44:00 UTC

Description Dan Winship 2020-12-14 22:11:48 UTC
In dual-stack clusters we need to pass dual node IPs to kubelet.

To verify:
- Install a dual-stack cluster
- do "oc get nodes -o yaml"
- confirm that all nodes list both an IPv4 and an IPv6 "InternalIP" address under .status.addresses

Comment 2 Anurag saxena 2021-01-12 15:04:18 UTC
@yprokule @mcornea Can you guys help verifying it? Going to be a quick check. Thanks

Comment 3 Marius Cornea 2021-01-12 19:28:37 UTC
oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.7.0-0.nightly-2021-01-12-150634   True        False         5m13s   Cluster version is 4.7.0-0.nightly-2021-01-12-150634


oc get node master-0-0.ocp-edge-cluster-0.qe.lab.redhat.com -o json | jq .status.addresses
[
  {
    "address": "192.168.123.149",
    "type": "InternalIP"
  },
  {
    "address": "fd2e:6f44:5dd8::102",
    "type": "InternalIP"
  },
  {
    "address": "master-0-0.ocp-edge-cluster-0.qe.lab.redhat.com",
    "type": "Hostname"
  }
]

Comment 6 errata-xmlrpc 2021-02-24 15:43:42 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.